AWS IoT Device SDK C++ v2: Aws::Greengrass::CreateLocalDeploymentOperation Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Protected Member Functions | List of all members
Aws::Greengrass::CreateLocalDeploymentOperation Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::CreateLocalDeploymentOperation:

## Public Member Functions
| CreateLocalDeploymentOperation (ClientConnection &connection, const CreateLocalDeploymentOperationContext &operationContext, Aws::Crt::Allocator *allocator=Aws::Crt::g_allocator) noexcept
std::future< RpcError > | Activate (const CreateLocalDeploymentRequest &request, OnMessageFlushCallback onMessageFlushCallback=nullptr) noexcept
std::future< CreateLocalDeploymentResult > | GetResult () noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::ClientOperation
| ClientOperation (ClientConnection &connection, StreamResponseHandler *streamHandler, const OperationModelContext &operationModelContext, Crt::Allocator *allocator) noexcept
| ~ClientOperation () noexcept
| ClientOperation (const ClientOperation &clientOperation) noexcept=delete
| ClientOperation (ClientOperation &&clientOperation) noexcept
std::future< RpcError > | Close (OnMessageFlushCallback onMessageFlushCallback=nullptr) noexcept
std::future< TaggedResult > | GetOperationResult () noexcept

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override
Protected Member Functions inherited from Aws::Eventstreamrpc::ClientOperation
std::future< RpcError > | Activate (const AbstractShapeBase *shape, OnMessageFlushCallback onMessageFlushCallback) noexcept
std::future< RpcError > | SendStreamEvent (AbstractShapeBase *shape, OnMessageFlushCallback onMessageFlushCallback) noexcept

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::ClientOperation
const OperationModelContext & | m_operationModelContext

## Constructor & Destructor Documentation

## ◆ CreateLocalDeploymentOperation()

Aws::Greengrass::CreateLocalDeploymentOperation::CreateLocalDeploymentOperation | ( | ClientConnection & | connection,
|  | const CreateLocalDeploymentOperationContext & | operationContext,
|  | Aws::Crt::Allocator * | allocator = `Aws::Crt::g_allocator`
| ) |  |
| noexcept

## Member Function Documentation

## ◆ Activate()

std::future< RpcError > Aws::Greengrass::CreateLocalDeploymentOperation::Activate | ( | const CreateLocalDeploymentRequest & | request,
|  | OnMessageFlushCallback | onMessageFlushCallback = `nullptr`
| ) |  |
| noexcept

Used to activate a stream for the `CreateLocalDeploymentOperation`

Parameters

  request | The request used for the `CreateLocalDeploymentOperation`
  onMessageFlushCallback | An optional callback that is invoked when the request is flushed.

Returns
  An `RpcError` that can be used to check whether the stream was activated.

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::CreateLocalDeploymentOperation::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::ClientOperation.

## ◆ GetResult()

std::future< CreateLocalDeploymentResult > Aws::Greengrass::CreateLocalDeploymentOperation::GetResult | ( |  | ) |
| noexcept

Retrieve the result from activating the stream.

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp